std::bitset::reference(3)

NAME
std::bitset::reference -

SYNOPSIS

Detailed Description

  template<size_t _Nb> class std::bitset< _Nb >::reference
This encapsulates the concept of a single bit. An instance of this class is a proxy for an actual bit; this way the individual bit operations are done as faster word-size bitwise instructions.

Most users will never need to use this class directly; conversions to and from bool are automatic and should be transparent. Overloaded operators help to preserve the illusion.

(On a typical system, this 'bit %reference' is 64 times the size of an actual bit. Ha.)

Definition at line 673 of file bitset.

  Public Member Functions
reference & flip ()
operator bool () const
reference & operator= (const reference &__j)
reference & operator= (bool __x)
bool operator~ () const
reference (bitset &__b, size_t __pos)
~reference ()

  Friends
class bitset

Author

Generated automatically by Doxygen for libstdc++ from the source code.